/*** MYCRYPT.  Encrypt a short string into a long int. */

/*: AA  7/29/88 17:42 Source code master starting point*/
/*: JX  5/19/92 13:00 Chixify. */
/*: CL 12/10/92 17:06 Long ascofchx args. */
/*: CL 12/11/92 15:52 Long sysmem arg. */
/*: CR 12/21/92 15:33 Fix off-by-one error in CLEN. */

#include <stdio.h>
#include "caucus.h"

static long power[11] = {2, 128, 1, 8, 16, 2, 128, 4, 64, 8, 1};

FUNCTION  long mycrypt (c)
   Chix  c;
{
   char *str, *s, *sysmem();
   long  sum, clen;

   ENTRY ("mycrypt", "");

   if (EMPTYCHX (c))  RETURN (0L);

   clen = chxlen(c);
   str = (char *) sysmem (L(clen+1));

   ascofchx (str, c, 0L, clen+1);
   s = str;

   for (sum = *s++;   *s;   ++s) 
      sum = sum + *s * power[ (*(s-1) % 11) ];

   sysfree (str);
   RETURN (sum);
}
