
/*** VMI.H.  Definitions for VMI "Caucus VM Interface" layer. */

/*: CR  2/21/90 13:59 New file. */
/*: CR  3/07/90 18:31 Add ACT_SWITCH and beyond. */

/*** These action codes apply any time. */
#define  ACT_NULL    0
#define  ACT_HOME    1
#define  ACT_PGUP    2
#define  ACT_PGDN    3
#define  ACT_END     4
#define  ACT_CANCEL  5
#define  ACT_HELP    6  /* ??? */

/*** The rest of these are only meaningful when the editing window
/    appears. */
#define  ACT_SWITCH  7  /* Switch editing <--> text window. */
#define  ACT_FILE    8  /* Save contents of editing window in a file. */
#define  ACT_NEXT    9  /* Go to start of next line. */
#define  ACT_DELL   10  /* Delete current line. */
#define  ACT_ADDL   11  /* Insert open line before current line. */
#define  ACT_SPLIT  12  /* Split or join function. */
#define  ACT_SHIFT  13  /* Shift to 2nd pf key bank. */
#define  ACT_SHELP  14  /* Help for shifted pf key bank. */
#define  ACT_LOAD   15  /* Load file. */
#define  ACT_STORE  16  /* Store to a file. */

/*** Maximum length of line in text-entry window. */
#define  TE_MAXLEN  78
