
/*** SYSBACKUP.   Return the name of the backup file.
/
/    Given the name of a Caucus FILE, return the name of the matching
/    backup file in BACKUP. */

/*** Copyright (C) 1986 Camber-Roth.  All rights reserved.  */

/*: AA  7/29/88 17:43 Source code master starting point */
/*: CR  8/03/88 16:37 VM changes only */
/*: CR 11/02/88 16:04 Remove VM code altogether. */
/*: CR 11/17/88 14:30 PN changes only. */
/*: CW  5/08/89 15:17 Add PX system code. */
/*: JV 10/04/89 17:35 Stripped out AOS non-server stuff. */
/*: CR  9/20/90 17:03 Add PS system type. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"
#include "units.h"

FUNCTION  sysbackup (backup, file)
   char   backup[];
   char   file[];
{

/*---------------------------------------FORTUNE-------------------------*/
#if UNIX | PR | PX | PS
   ENTRY ("sysbackup", "");

   strconc (backup, file, "_b");
#endif

/*---------------------------------------IBM PC--------------------------*/
#if IM | PN
   ENTRY ("sysbackup", "");

   strcpy (backup, file);
   if (strindex (backup, ".") < 0)  strcat (backup, ".");
   stralter (backup, ".", "._");
#endif

/*---------------------------------------VAX-----------------------------*/
#if VV
   ENTRY ("sysbackup", "");

   strcpy  (backup, file);
   if (NOT stralter (backup, ";", "_b;"))  strcat (backup, "_b;1");
#endif
   RETURN (1);
}
