
/*** SYSBRAND.   Check BRANDNEW routine at every AND NOW?
/
/    SYSBRAND controls how often BRANDNEW is called before the
/    AND NOW? prompt.  On some systems it is called at every
/    prompt.  On others we may only want to do it every so often.
/    On single user systems, we don't need to do it at all.  */

/*** Copyright (C) 1985 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:44 Source code master starting point */
/*: CR 11/02/88 16:05 Add SRV to UNIX code. */
/*: CW  5/08/89 15:17 Add PX system code. */
/*: JV 10/04/89 17:36 Stripped out AOS non-server stuff. */
/*: CR  9/20/90 17:03 Add PS system type. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

FUNCTION  sysbrand()
{
   ENTRY ("sysbrand", "");
#if IM | JM
   RETURN (0);
#endif

#if UNIX | PN | PR | VV | VMR | VMU | SRV | PX | PS
   RETURN (1);
#endif
}
