
/*** SYSDFNAME.   Difference - Name.  
/
/    SYSDFNAME takes a user name and makes it "different", so that a
/    person entering Caucus via the Caucus login shell will have a 
/    slightly different name than anyone who entered Caucus from the
/    operating system. */

/*: AA  7/29/88 17:44 Source code master starting point */
/*: CR 11/15/88 14:42 Add SRV code. */
/*: CW  5/08/89 15:17 Add PX system code. */
/*: JV 10/04/89 17:58 Stripped out AOS non-server code. */
/*: CR  9/20/90 17:03 Add PS system type. */
/*: JX  6/05/92 17:14 Chixify. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

FUNCTION sysdfname (name)
   Chix  name;
{

   ENTRY ("sysdfname", "");

#if UNIX | IM | PN | VV | PR | SRV | PX | PS
   chxcat (name, CQ("_"));
#endif

   RETURN (1);
}
