
/*** SYSFLUSHIN.   Flush all outstanding input from the user's terminal. */

/*** Copyright (C) 1986 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:44 Source code master starting point */
/*: CR 12/13/90 17:51 Return immediately if ioctl fails. */
/*: CR  3/11/91 16:20 Add AX & UL system type codes. */
/*: CR  1/28/93 15:01 Temporarily remove UL, until flushing becomes optional. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

FUNCTION  sysflushin()
{

#if FU | BU | SU
#include <sgtty.h>
   int  ready;
   char str[82];

   ENTRY ("sysflushin", "");

   ready = 0;
   while ( ioctl (0, FIONREAD, &ready) != -1  &&  ready > 0 ) {
      read  (0, str, (ready > 80 ? 80 : ready));
   }

   RETURN (1);
#endif
}
