
/*** SYSMKHOST.  Make (create) a host directory.
/
/    Make the host directory for host number N.  */

/*** Copyright (C) 1991 Camber-Roth.  All rights reserved. */

/*: JV 12/10/91 18:08 Create this. */
/*: UL 12/11/91 20:00 Make args 3-6 long. */
/*: DE  5/29/92 10:40 Chixified */

#include "caucus.h"
#include "systype.h"
#include <stdio.h>

/*ARGSUSED*/

FUNCTION  sysmkhost (n)
   int    n;
{

#if UNIX | PR | VV | IM | PN | PX | PS
   char   name[80];

   ENTRY ("sysmkhost", "");

   unit_name (name, XHDD, L(n), 0L, 0L, 0L, nullchix);
   sysmkdir  (name, 1);
   RETURN (1);
#endif

/*------------------------------Server/client code-----------------------*/
#if SRV
#include "actions.h"
#include "errchk.h"
   extern int   vcernum;
   extern char *vcernam;
   extern Chix  confid;
   extern Chix  servername;
   Flag   result;

   ENTRY ("sysmkhost", "");

   if (NOT vcsend (servername, AMKHS, (char *) &n, sizeof(n), &result, 1)) {
      ERRCHK("sysmkcon");
      unit_write (XWTX, CQ("Caucus Server has terminated.\n"));
      unit_write (XWTX, CQ("Caucus is now aborting.\n"));
      sysexit (0);
   }

   RETURN ( (int) result);
#endif

}
