
/*** SYSPUTNL.  Put a "newline" out on the user's terminal. */

/*: AA  7/29/88 17:45 Source code master starting point */
/*: CR  8/03/88 17:10 Add VM to UNIX list */
/*: CR 11/03/88 16:10 Add CX, CA, CVM; remove VM. */
/*: CW  5/08/89 15:17 Add PX system code. */
/*: JV 10/04/89 18:22 Stripped out AOS non-server code. */
/*: JV  2/09/90 06:59 Corrected ENTRY string. */
/*: CR  9/20/90 17:03 Add PS system type. */
/*: CR  3/04/91 17:38 Add \r for DY. */
/*: CR  3/20/91 23:33 UL changes. */
/*: CR  1/12/93 15:00 Remove \r for DY. */
/*: CR  3/15/94 13:00 'BU' needs \n\r. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

FUNCTION  sysputnl()
{
   ENTRY ("sysputnl", "");

/*--------------------------"Normal" computers---------------------*/
#if UNIX | IM | JM | PN | PR | VV | CX | CA | PX | PS
   sysputstr ("\n");
#endif
#if UL | BU
   sysputstr ("\r");
#endif

/*--------------------------IBM VM/CMS-----------------------------*/
#if CVM
   sysputstr ("\n");
   fflush (stdout);
#endif

   RETURN (1);
}
