
/*** SYSYMD.   Convert time in seconds to year#, month#, etc. */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved.  */

/*: CR  9/04/92 14:34 New function. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

#define SYSV1    A3 | LA | HU | FU | MU | MV | PU | SX | TX | IX | SV
#define SYSV2    SV | PX | DU | RO | U3 | AU | DY | AX | U4

#if SYSV1 | SYSV2 | VV | IM | PN | CX | CA
#include <time.h>
#endif

#if BU | SU | PS | UL
#include <sys/time.h>
#endif

#if PR
#include <time.h>
#endif

#if CVM
#include <time.h>
#endif

FUNCTION  sysymd (seconds, year, month, day, hour, minute, sec)
   long   seconds;
   int   *year, *month, *day, *hour, *minute, *sec;
{

#if UNIX | VV | PR | IM | PN | CX | CA | CVM | PX | PS

#if SYSV1 | SYSV2 | VV | IM | PN | CX | CA
#define  CAST
struct tm *localtime();
#endif

#if PR
#define  CAST
#if PR19
struct tm *localtime();
#endif
#endif

#if BU | SU | PS | UL
#define  CAST
struct tm *localtime();
#endif

#if CVM
#define  CAST   (time_t *)
#endif

   struct tm *now;

   ENTRY ("sysymd", "");

   now = localtime (CAST &seconds);

   *year   = now->tm_year;
   *month  = now->tm_mon+1;
   *day    = now->tm_mday;
   *hour   = now->tm_hour;
   *minute = now->tm_min;
   *sec    = now->tm_sec;
#endif

   RETURN (1);
}
