/*** UNIT_SHORT.  Reads NUMBER short ints into ARRAY from file N.  */

/*** Copyright (C) 1983 Camber-Roth.  All rights reserved.  */

/*: AA  7/29/88 17:55 Source code master starting point */
/*: CR  9/30/88 16:44 Add SRV to list of systems. */
/*: AM  2/07/89 10:41 Jcaucus changes*/
/*: CW  5/08/89 14:56 Add PX system code. */
/*: CR  9/20/90 16:55 Add PS system type. */
/*: DE  4/09/92 13:15 Chixified */
/*: CL 12/10/92 17:07 Long ascofchx args. */
/*: JV  9/26/93 13:26 ENTRY must be before all other code. */

#include <ctype.h>
#include <stdio.h>
#include "caucus.h"
#include "systype.h"
#include "units.h"

#if UNIX | IM | JM | PN | PR | VV | VM | AOS | SRV | PX | PS

FUNCTION  unit_short (n, array, number)
   int   n, number;
   short array[];
{
   Chix new;
   char newstr[80];
   int  success;

   ENTRY ("unitshort", "");
   new        = chxalloc (80L, THIN, "unitshort new");
   success    = 0;

   if (NOT unit_read (n, new, 0L))
      FAIL;
   ascofchx (newstr, new, 0L, 80L);
   strshort (array, newstr, number); 
   SUCCEED;

 done:

   chxfree ( new );

   RETURN ( success );
}
#endif
