/*** SEND_ROUTES.  Send the routing table deltas (For CaucusLink V1.2).
/
/   int n = send_routes()
/
/   Parameters:
/
/   Purpose:
/      When the XFU digests an ATTREQ or ATTACK transaction, it must send
/      over the relevant information from its routing table.  SEND_ROUTES
/      figures out what the "relevant information" is and sends it.
/
/   How it works:
/
/   Returns:
/      1 on success
/      0 on failure.  In this case it logs the error in the bugfile.
/
/   Error Conditions:
/
/   Related Functions: 
/
/   Called by: item_parse()
/
/   Home: xfu/sendrout.c
/ */

/*: JV  1/13/92 16:12 Create this. */
/*: CR 10/09/92 18:44 Remove empty_xact. */
/*: CP  3/04/93 23:16 Remove nested comment. */

#include <stdio.h>
#include "handicap.h"
#include "derr.h"
#include "unitcode.h"
#include "xfp.h"
#include "xaction.h"
#include "chixuse.h"

FUNCTION  send_routes ()
{
   ENTRY ("send_routes", "");

   RETURN (1);
}   
