/*** SYSDATE.  Convert time in seconds to "dd-MMM-yy hh:mm". */

/*** Copyright (C) 1983 Camber-Roth.  All rights reserved.  */

/*: CR  1/24/93 12:03 1st carvmark */
/*: CR  2/24/93 13:02 Add U4 to SYSV code. */

#include <stdio.h>
#include "lice2.h"
#include "systype.h"

FUNCTION  sysdate (str, seconds)
   char   str[];
   long   seconds;
{

/*--------------------------FORTUNE & VAX & MASSCOMP & A3 & PRIME--------*/
#if UNIX | VV | PR | IM | PN | CX | CA | CVM | PX | PS

#define SYSV1 A3 | HU | FU | MU | MV | PU | SX | TX | IX | SV
#define SYSV2 PX | DU | RO | U3 | AU | DY | U4
#define SYSV  SYSV1 | SYSV2

#if SYSV | VV | IM | PN | CX | CA
#include <time.h>
#define  CAST
struct tm *localtime();
#endif

#if PR
#include <time.h>
#define  CAST
#if PR19
struct tm *localtime();
#endif
#endif

#if BU | SU | PS
#include <sys/time.h>
#define  CAST
struct tm *localtime();
#endif

#if CVM
#include <time.h>
#define  CAST   (time_t *)
#endif

   static char *m[] = {"JAN", "FEB", "MAR", "APR", "MAY", "JUN",
                       "JUL", "AUG", "SEP", "OCT", "NOV", "DEC" };
   struct tm *now;

   now = localtime (CAST &seconds);
   sprintf  (str, "%02d-%s-%2d %2d:%02d", now->tm_mday, m[now->tm_mon],
                   now->tm_year, now->tm_hour, now->tm_min);
#endif

   return (1);
}
