
/*** JAPAN0.H.   Definition of things used in Japanese Caucus.
/    The "0" refers to version 0 of JCaucus, i.e. Andy Myer's
/    original version. */

/*: CR  7/01/91 21:10 Move japanese stuff to this (new) file. */

#ifndef JAPAN
#define JAPAN           0  /* 0 for "american" version, 1 for japanese. */

#if ! JAPAN
#define SHIFT_JIS       0
#define UNIX_JIS        0
#endif

/*** double-byte handling */
#if JAPAN 

#define SHIFT_JIS       0
#define UNIX_JIS        1

#define SJIS_CODE       1
#define UJIS_CODE       2

#if SHIFT_JIS
#define SYS_DB_CODE     SJIS_CODE
#endif

#if UNIX_JIS
#define SYS_DB_CODE     UJIS_CODE
#endif

#define SBC_BYTE        'A'
#define DBC_BYTE_1      '1'
#define DBC_BYTE_2      '2'

#define DBC_SPACE       'S'
#define DBC_SPECIAL     'X'
#define DBC_ALPHA       'L'
#define DBC_KANJI       'J'
#define DBC_OTHER       'O'
#define DBC_SW_KANA     'K'

#endif

#endif  /*------End of Japanese #defines. */
