/*** CHXUPPER.  Convert Chix X so that all ASCII characters are
/    upper-case. */

/*: JX  5/28/92 14:35 New function (from strupper()). */
/*: CR 12/11/92 13:32 Increase speed; make chxsetval args long. */
/*: CL 12/11/92 13:47 Long Chxvalue N. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"

extern struct flag_template flag;

FUNCTION  chxupper (x)
   Chix  x;
{
   long  i;
   long  charval;

   ENTRY ("chxupper", "");

   for (i=0;   (1);   ++i) {
      if ( (charval = chxvalue (x, L(i))) == 0)  break;
      if (charval >= 'a'  &&  charval <= 'z')
         chxsetval (x, i, THIN, charval + 'A' - 'a');
   }

   RETURN (1);
}
