
/*** PLAIN.H.   Definitions for en/decrypting license block information.
/
/    The Caucus license structure contains long integer and string
/    components which are kept "encrypted" by xor-ing with a mask.
/    This file contains the macros used in the process of decrypting
/    this information.
/ */

/*** Copyright (C) 1990 Camber-Roth.  All rights reserved. */

/*: CR  1/25/93 15:56 New file. */

#ifndef PLAIN_H
#define PLAIN_H

#define PLAIN_ENC_LONG  0xAA55AA55L
#define PLAIN_ENC_STR   \
   "\252\225\252\225\252\225\252\225\252\225\252\225\252\225\252\225"
#define PLAIN(x)  ( (x) ^ PLAIN_ENC_LONG )

#endif
