
/*** NLPRINT.   Print a NameList. */

/*: AA  7/29/88 17:50 Source code master starting point */
/*: CW  5/18/89 15:36 Add XW unit codes. */
/*: JV  3/17/90 19:51 Removed stdio.h */
/*: JX  5/21/92 11:20 Chixify. */

#include "handicap.h"
#include "unitcode.h"
#include "chixuse.h"
#include "namelist.h"
#include "null.h"

extern union null_t null;

FUNCTION  nlprint (p, str)
   struct namlist_t *p;
   Chix   str;
{
   Chix   newstr;

   ENTRY ("nlprint", "");

   newstr    = chxalloc (100L, THIN, "nlprint newstr");

   chxformat  (newstr, CQ("-----NLPRINT: %s\n"), 0L, 0L, str, null.chx);
   unit_write (XWTX, newstr);
   for (;   p!=null.nl;   p=p->next) {
      chxclear   (newstr);
      chxformat  (newstr, CQ(" %4d '%s'\n"), L(p->num), 0L, p->str, null.chx);
      unit_write (XWTX, newstr);
   }

   chxfree (newstr);

   RETURN (1);
}
