
/*** TOMEMBER.  Convert a (fullname, lastname) pair to a membership string.
/
/    A membership string is used to keep an alphabetized listing of the
/    members of a conference in the XUMD/UMC files.  It has the form:
/      "alphaname#Firstname#Middlenames#Lastname id"   */

/*** Copyright (C) 1987 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:50 Source code master starting point */
/*: CR  8/12/90 18:21 Change calling sequence. */
/*: DE  4/29/92 14:05 Chixified */
/*: CL 12/10/92 14:52 Long chxalter args. */

#include "caucus.h"
#include <stdio.h>

FUNCTION  tomember (str, last, full, id)
   Chix  str, last, full, id;
{
   ENTRY  ("tomember", "");

   chxcpy (str, last);
   chxcat (str, CQ(" "));
   chxcat (str, full);
   while  (chxalter (str, 0L, chxquick("  ",1), chxquick(" ",2))) ;
   while  (chxalter (str, 0L, chxquick(" ",1),  chxquick("#",2))) ;
   chxcat (str, CQ(" "));
   chxcat (str, id);

   RETURN (1);
}
