/*** SYSPUTSTR.  Display the characters in STR on the user's terminal. */

/*: AA  7/29/88 17:45 Source code master starting point */
/*: CR  9/21/88 15:25 Add "HU" system type for HP/UX. */
/*: CR 11/03/88 16:11 Add CX, CA types. */
/*: CR  1/06/89 16:12 CVM changes only. */
/*: AM  2/07/89 10:38 Jcaucus changes Unix V*/
/*: CR  6/09/89 12:16 Add "SV" system type code. */
/*: CW  5/08/89 15:17 Add PX system code. */
/*: JV 10/04/89 18:23 Stripped out AOS non-server code. */
/*: CR 10/12/89 15:35 Add DU system type code. */
/*: CR 12/25/89 16:55 Flush all output for SU and SN. */
/*: JV  7/06/90 21:10 Add MIPS RISC/os (RO). */
/*: CR  9/20/90 17:03 Add PS system type. */
/*: CR  9/27/90 12:19 Add U3, AU system types. */
/*: JV 11/27/90 14:44 Flush stdout output for AOS (CA) */
/*: CJ 11/26/90 21:50 Add LA system type code. */
/*: CR  2/09/91 21:44 Split long #if line in two (FLUSH1, FLUSH2). */
/*: SB 11/29/90 14:05 Add DY system code*/
/*: CR  3/20/91 17:55 Flush UL. */
/*: SB  5/16/91 10:46 Add DP system type. */
/*: JV  7/17/92 10:01 Add U4. */
/*: JV  8/27/92 13:31 Change VV: fputs doesn't work right for VMS 5.5. */
/*: CR  7/21/92 17:39 Remove DP (in favor of DYP). */
/*: CX  5/28/92 18:21 OK'd for chixification. */
/*: CI 10/07/92 15:53 Chix Integration. */
/*: JV  9/26/93 13:10 Add ENTRY. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

FUNCTION  sysputstr (str)
   char *str;
{

/*--------------------------FORTUNE & VAX & MASSCOMP & A3---------------*/
#if UNIX | VV | CVM | CX | CA | PX | PS
   ENTRY ("sysputstr", "");
   if (str == NULL)  RETURN (1);

#if VV
   write (1, str, strlen (str));
#else
   fputs  (str, stdout);
#endif

#define FLUSH1  FU | VV | MU | A3 | LA | SV | HU | SX | BU | TX | PU | MV
#define FLUSH2  CX | PX | DU | SU | RO | PS | U3 | AU | CA | DY | UL | U4
#if FLUSH1 | FLUSH2
   fflush (stdout);
#endif
#endif

/*---------------------------------------IBM PC--------------------------*/
#if IM | PN
   ENTRY ("sysputstr", "");
   if (str == NULL)  RETURN (1);

   while (*str) {
      if (*str == '\n')  sysputch ('\r');
      sysputch (*str++);
   }
#endif

/*---------------------------------------NEW PRIME-----------------------*/
#if PR
   char     buf[100];
   char    *s;
   short    b;
   fortran  tnoua();

   for (b=0, s=str;   *s;   ++s) {

      if (*s == '\n')  buf[b++] = '\r';
      buf[b++] = *s;

      if (b > 90)  { tnoua (buf, &b);   b = 0; }
   }
   if (b > 0)        tnoua (buf, &b);

#endif

   RETURN (1);
}
