
/*** SYSSLEEP.   Pause for approximately N seconds. */

/*: AA  7/29/88 17:45 Source code master starting point */
/*: CR 11/04/88 13:49 Remove VM, add SRV. */
/*: CW  5/08/89 15:17 Add PX system code. */
/*: JV 10/04/89 18:24 Stripped out AOS non-server code. */
/*: CR 10/30/89 12:28 Cast N in sleep(n) to be unsigned. */
/*: CR  9/20/90 17:03 Add PS system type. */
/*: CR  7/27/91 13:28 Make lint happier. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

FUNCTION  syssleep (n)
   int    n;
{

/*---------------------------------------IBM PC--------------------------*/
#if IM | JM | PN
   long   now, systime();

   ENTRY ("syssleep", "");
   now = systime();
   while (systime() - now < n) ;
#endif

#if UNIX | VV | PR | SRV | PX | PS
   ENTRY ("syssleep", "");
   sleep ( (unsigned) n);
#endif

   RETURN (1)
}
