
/*** SYSUNLINK.  System-dependent "delete file" procedure. */

/*** Copyright (C) 1984 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:46 Source code master starting point */
/*: CR 11/04/88 13:52 Remove VM, add CX, CA, CVM. */
/*: CW  5/08/89 15:17 Add PX system code. */
/*: JV 10/04/89 18:24 Stripped out AOS non-server code. */
/*: CR  3/23/90 16:44 Insert proper CA code. */
/*: CR  9/20/90 17:03 Add PS system type. */
/*: CV  6/02/93 14:45 Separate out VV; all sections set CODE. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

extern int debug;

FUNCTION  sysunlink (file)
   char file[];
{
   int  code;

#if UNIX | IM | JM | PN | CX | CVM | PX | PS
   ENTRY ("sysunlink", "");
   unlink (file);
   code = 1;
#endif

#if VV
   ENTRY ("sysunlink", "");
   code = (delete (file) == 0 ? 1 : 0);
   if (debug)  printf ("sysunlink: code=%d, file='%s'\n", code, file);
#endif

#if PR
   ENTRY ("sysunlink", "");
   delete (file);
   code = 1;
#endif

#if CA
   ENTRY ("sysrmfile", "");
   if (sys_delete (file) != 0) code = 0;
#endif

   RETURN (code);
}
