/*** SYSVERSION.  Print banner with current version number. */

/*: AA  7/29/88 17:46 Source code master starting point */
/*: CR  9/21/88 15:25 Add "HU" system type for HP/UX. */
/*: CR  9/23/88 13:01 Add "IX" system type. */
/*: CR 11/04/88 13:56 Remove VM, add CX, CA, CVM. */
/*: CR 11/11/88 21:34 Add "usedic" parameter. */
/*: CR 12/05/88 12:46 Remove system type MX. */
/*: CR  6/09/89 12:16 Add "SV" system type code. */
/*: CW  5/08/89 11:09 Split SU into SN and SS. */
/*: CW  5/08/89 15:17 Add PX system code. */
/*: JV 10/04/89 18:24 Stripped out AOS non-server code. */
/*: CR 10/16/89 15:30 Banner is now 2.2! */
/*: CR  6/14/90 13:34 Change to version 2.3. */
/*: JV  7/06/90 20:43 Add MIPS RISC/os (RO). */
/*: CR  7/17/90 13:34 Force hard-coded display of copyright banner. */
/*: CR  9/20/90 17:04 Add PS system type. */
/*: CR  9/27/90 12:19 Add U3, AU system types. */
/*: CJ 11/26/90 21:50 Add LA system type code. */
/*: CR  1/24/91 12:34 CA code now displays as 2.3/VS. */
/*: SB 11/29/90 14:05 Add DY system code*/
/*: CR  3/11/91 16:44 Add AX & UL system type codes. */
/*: SB  5/16/91 10:53 Add DP system type. */
/*: JV  7/17/92 10:04 Add U4. */
/*: CR  7/21/92 17:39 Remove DP (in favor of DYP). */
/*: DE  6/01/92 13:20 Chixified */
/*: JX  8/01/92 11:13 Change Version to "2.3C" to identify Chix branch. */
/*: JV 10/07/92 16:30 Change to version 2.4. */
/*: CR 12/11/92 17:55 2nd arg of CHXSUB is long. */
/*: JV  3/26/93 11:30 Version 2.5. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

#if A3
#define  VERSION    "sys_Tv_a3"
#endif

#if AU
#define  VERSION    "sys_Tv_au"
#endif

#if AX
#define  VERSION    "sys_Tv_ax"
#endif

#if BU
#define  VERSION    "sys_Tv_bu"
#endif

#if CA
#define  VERSION    "sys_Tv_vs"
#endif

#if CVM
#define  VERSION    "sys_Tv_cvm"
#endif

#if CX
#define  VERSION    "sys_Tv_cx"
#endif

#if DU
#define VERSION     "sys_Tv_du"
#endif

#if DY
#define  VERSION    "sys_Tv_dy"
#endif

#if FU
#define  VERSION    "sys_Tv_fu"
#endif

#if HU
#define  VERSION    "sys_Tv_hu"
#endif

#if IM
#define  VERSION    "sys_Tv_im"
#endif

#if IX
#define  VERSION    "sys_Tv_ix"
#endif

#if JM
#define  VERSION    "sys_Tv_jm"
#endif

#if LA
#define  VERSION    "sys_Tv_la"
#endif

#if MU
#define  VERSION    "sys_Tv_mu"
#endif

#if MV
#define  VERSION    "sys_Tv_mv"
#endif

#if PN
#define  VERSION    "sys_Tv_pn"
#endif

#if PR
#define  VERSION    "sys_Tv_pr"
#endif

#if PU
#define  VERSION    "sys_Tv_pu"
#endif

#if PX | PS
#define  VERSION    "sys_Tv_px"
#endif

#if RO
#define VERSION     "sys_Tv_ro"
#endif

#if SN
#define  VERSION    "sys_Tv_sn"
#endif

#if SS
#define  VERSION    "sys_Tv_ss"
#endif

#if SV
#define  VERSION    "sys_Tv_sv"
#endif

#if SX
#define  VERSION    "sys_Tv_sx"
#endif

#if TX
#define  VERSION    "sys_Tv_tx"
#endif

#if U3
#define  VERSION    "sys_Tv_u3"
#endif

#if U4
#define  VERSION    "sys_Tv_u4"
#endif

#if UL
#define  VERSION    "sys_Tv_ul"
#endif

#if VV
#define  VERSION    "sys_Tv_vv"
#endif

extern union null_t null;

FUNCTION  sysversion (out, usedic)
   int    out, usedic;
{
   Chix   newstr, tempchx;

   ENTRY   ("sysversion", "");

   newstr  = chxalloc (160L, THIN, "sysversi newstr");

   unit_write (out, CQ("\n"));

/*
   if (usedic  &&  mdstr (newstr, VERSION, null.md))  unit_write (out, newstr);
   else {
*/

      unit_write (out, CQ("Caucus (TM) version 2.5/"));
      chxcpy     (newstr, CQ(VERSION));
      chxupper   (newstr);
      unit_write (out, tempchx = CHXSUB(newstr,7L));
      chxfree    (tempchx);
      unit_write (out, CQ(".  Copyright (C) 1988-1993 Camber-Roth.\n"));
/* } */

   chxfree (newstr);

   RETURN  (1);
}
