/*** MAILCHECK.  Report number of new messages in user's mailbox. */

/*** Copyright (C) 1988 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:57 Source code master starting point */
/*: CR 10/09/89 11:35 Use XW unit codes. */
/*: CR  4/08/91 18:49 Add new unit_lock argument. */
/*: UL 12/11/91 18:44 Make unit_lock args 3-6 long.*/
/*: JX  7/22/92 17:45 Chixify. */
/*: CI 10/07/92 22:12 Chix Integration. */
/*: JV  5/29/93 14:34 Return success. */

#include "caucus.h"
#include <stdio.h>

extern union null_t null;

FUNCTION  mailcheck (id)
   Chix   id;
{
   short  mess;
   int    success=1;
   Chix   mtu, format;
  
   mtu = chxalloc (40L, THIN, "mailcheck mtu");
   format = chxalloc (40L, THIN, "mailcheck format");
  
   if (NOT unit_lock (XUMD, READ, 0L, 0L, 0L, 0L, id)) DONE (0);
   if (NOT unit_view (XUMD)) { unit_unlk (XUMD);       DONE (0);}

   for (mess = -1;    unit_read (XUMD, format, 0L);    ++mess) ;
   unit_close (XUMD);
   unit_unlk  (XUMD);
  
   mdstr   (format, "chk_Fmess", null.md);
   chxformat (mtu, format, L(mess), 0L, nullchix, nullchix);
   unit_write (XWTX, mtu);

done:
   chxfree (mtu);
   chxfree (format);
   return (success);
}
