
/*** MDCREATE.   Create Master Dictionary file. */

/*: AA  7/29/88 17:58 Source code master starting point */
/*: JV  8/01/88 16:17 Added AOS code.*/
/*: CR 10/07/88 14:51 Change IM to use QuickC. */
/*: CR 11/22/88 20:41 Add new PN code. */
/*: CR 12/16/88 13:15 PN must have shareable dictionary. */
/*: CR  1/09/89 15:27 Add CVM code. */
/*: JV  3/06/89 15:43 Added CA. */
/*: CR  4/17/89 14:55 Added CX */

#include "caucus.h"
#include "systype.h"

#if AOS | CA
#include <fcntl.h>
#endif

FUNCTION  mdcreate (name)
   char   name[];
{

#if AOS | CA
   close (creat (name, 0704));
   return (open (name, O_RDWR));
#endif

/*--------------------------------------------------------*/
#if CVM
#include <file.h>
   char   str[80];
   
   strconc (str, name, " (recfm f lrecl 256 bin");
   return  (open (str, O_CREAT | O_RDWR));
#endif

/*--------------------------------------------------------*/
#if UNIX | CX
   close   (creat (name, 0744));
   return  (open  (name,    2));
#endif

/*--------------------------------------------------------*/
#if IM | PN
#include <fcntl.h>
#include <sys\types.h>
#include <sys\stat.h>
#include <share.h>
#if IM
   return  (open  (name, O_BINARY | O_CREAT | O_RDWR, S_IREAD | S_IWRITE));
#endif
#if PN
   return  (sopen (name, O_BINARY | O_CREAT | O_RDWR, SH_DENYNO, 
                         S_IREAD  | S_IWRITE));
#endif
#endif

/*--------------------------------------------------------*/
#if PR
   return  (open  (name, 2));
#endif

/*--------------------------------------------------------*/
#if VV
   return  (creat (name, 0700));
#endif
}
