
/*** SYSSRV.  Send a control message code N to the server.
/
/    For client/server systems, syssrv(n) sends termination
/    code N to the server.  N must be one of:
/       1  server stops after last client disconnects.
/       4  server stops one minute after this message.
/       5  server stops immediately.
/ */

/*** Copyright (C) 1988 Camber-Roth.  All rights reserved. */

/*: CW  7/20/89 13:21 New maintenance program. */
/*: CR  3/27/90 13:47 Include errchk.h */
/*: DE  6/08/92 17:25 Chixified */

#include "caucus.h"
#include "systype.h"
#include "actions.h"
#include "errchk.h"

FUNCTION  syssrv (n)
   int    n;
{
#if SRV
   extern Chix  servername;
   extern int   vcernum;
   extern char *vcernam;
   char   code[20];

   sprintf (code, "%d", n);
   
   if (NOT vcsend (servername, ADONE, code, 2, "", 0))  ERRCHK("syssrv");
#endif
}
