
/*** AMPTEST.   Test a_mak_pstat() in a loop.
/
/    Invoked as:
/       amptest  number
/
/    Arguments:
/       number       number of times through loop.
/
/    Purpose:
/       Test timing of a_mak_pstat().
/
/    How it works:
/
/    Exit status:
/
/    Error Conditions:
/ 
/    Side effects:
/
/    Related functions:
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/amptest.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR 12/08/92 11:33 New program. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "chixuse.h"
#include "api.h"
#include "caucus.h"

int debug = 0;

main (argc, argv)
   int    argc;
   char  *argv[];
{
   Pstat    pstat;
   int      number, i;
   long     t0, t1, time();
   char     junk[20];

   if (argc < 2) {
      printf ("usage:  amptest number\n");
      exit   (1);
   }

   sscanf (argv[1], "%d", &number);
   t0 = time (NULL);
   for (i=0;   i<number;   ++i) {
      pstat = a_mak_pstat("amptest pstat");
/*    printf ("%d %lx\n", i, pstat); */
/*    a_fre_pstat (pstat); */
   }
   t1 = time (NULL);

   printf ("%d iterations of a_mak_pstat took %d seconds.\n", 
           number, t1-t0);
   gets (junk);
}
