#
#--- Makefile for libcr.a
#
#    Combine all Caucus functions into one library for use in building
#    caucustool.
#
#: CR  1/26/93 13:44 New makefile for libcr.a
#: JV  3/29/93 16:20 sys -> sys1, sys2

.SUFFIXES:     .c

OBJS = \
api/*.o    \
attach/*.o \
ced/*.o    \
chg/*.o    \
chx/*.o    \
cmd1/*.o   \
cmd2/*.o   \
conf/*.o   \
db/*.o     \
gen/*.o    \
glyph/*.o  \
inout/*.o  \
main/*.o   \
mess/*.o   \
people/*.o \
resp/*.o   \
str/*.o    \
subj/*.o   \
sys1/*.o    \
sys2/*.o    \
unit/*.o   \
xaction/*.o

libcr.a: $(OBJS)
	rm -f  libcr.a
	ar cq  libcr.a $(OBJS)
	ranlib libcr.a

.c.o:
	cc $(MODEL) -Iinclude -c $*.c
